/* normit.c  - run robem in batch mode to cycle all *.pif files 
 * specified in the arg list and normalize the Means & Variances.
 */

#include <string.h>
#include <stdio.h>                              /* For printf and so on. */
#include <math.h>
#include <stdlib.h>
#include "../include/common.h"

int main(int argc,  char **argv)
{/* MAIN */
  int i,j,k;
  int doLinSwitch;
  char *s1;
  char inStr[512],outStr[512];
  char sysCall[512];

  doLinSwitch = FALSE;
  if(argc < 4)
    {/* USAGE */
      printf("USAGE:  normit <-lingrad> Mean Std <list of *.pif files>\n\
     Use -lingrad switch to do linear gradient also (Optional)\n");
      exit(0);
    }/* USAGE */

  s1 = argv[1];
  if((*(s1) == '-') &&
     (*(s1+1)=='l' || *(s1+1)=='L') &&
     (*(s1+2)=='i' || *(s1+2)=='I') &&
     (*(s1+3)=='n' || *(s1+3)=='N') 
     )
    doLinSwitch = TRUE;

  if(doLinSwitch)
    {/* Do all */
      for(i=4; i<argc;i++)
	{/* Do all files */
	  sprintf(sysCall,"robem -pre %s -lingrad -norm %s %s\n",
		  argv[i],
		  argv[2],
		  argv[3]);
	  printf("[%s]\n",sysCall);
	  system(sysCall);
	}/* Do all files */
    }/* Do all */
  else
    {/* Do all */
      for(i=3; i<argc;i++)
	{/* Do all files */
	  sprintf(sysCall,"robem -pre %s -norm %s %s\n",
		  argv[i],
		  argv[1],
		  argv[2]);
	  
	  printf("[%s]\n",sysCall);
	  system(sysCall);
	}/* Do all files */
    }/* Do all */
  

}/* MAIN */
